#ifndef MISC_H
#define MISC_H

#ifdef _LIBMIX_
# include <config.h>
#endif

#define _GNU_SOURCE
#include <stdio.h>
#ifdef HAVE_FCNTL_H
# include <fcntl.h>
#endif
#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif
#ifdef HAVE_STRINGS_H
# include <strings.h>
#else
# include <string.h>
#endif
#include <stdlib.h>
#include <signal.h>
#include <ctype.h>
#ifdef HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif
#include <sys/stat.h>
#ifdef HAVE_STDARG_H
# include <stdarg.h>
#else
# ifdef HAVE_STD_ARGS_H
#  include <std_args.h>
#endif
#endif
#include <mix/aes.h>

extern int bufsize; /* chars to be allocated, default 1024, user-definable */
extern char rseed[65535]; /* entropy cache */
extern int rcounter; /* entropy counter */

void random_init (void); /* feed entropy cache, getrandom does this itself */

#endif
